% Function to add columns with a certain value to a matrix
% number of additional columns is nvoice*dnoctave
%
%
% written by D. Maraun and J. Laehnemann
%

function [y] = addvalues(nvoice,dnoctave,x,value);

  nr = size(x,1);
  nc = size(x,2);
  dnc = nvoice*dnoctave; % number of additional columns

  y = repmat(value, nr,(nc+dnc)); % create new larger matrix containing value
  
  y(:,(dnc+1):(dnc+nc)) = x; % enter the original matrix and leave the first dnc columns at value
  
end
