% smooth wavelet transform object in scales direction
%
%
% written 2007 by D. Maraun and J. Laehnemann
%

function [smwt] = smoothmatrix(wt,swabs);

  if (swabs ~= 0)
    smwt = (filter(ones(2*swabs+1,1)/(2*swabs+1),1,wt'))'; % moving average
    
    smwt(:,1:swabs)=NaN; % move averaged block to center of matrix (otherwise all the NaNs are at the beginning)
    ncol = size(smwt,2);
    smwt(:,(swabs+1):(ncol-swabs))=smwt(:,(2*swabs+1):ncol);
    smwt(:,(ncol-swabs+1):ncol)=NaN;
    
  else % skip averaging if no swabs
    smwt = wt;
  end;
  
end
