% smooth wt object in time direction
%
%
% written 2007 by D. Maraun and J. Laehnemann
%
  
function [smwt] = smoothtime(wt,tw,dt,scalevector);

  smwt = wt;

  if (tw ~= 0)
    for i=1:length(scalevector) % iterate through scales
      
      twi=fix(scalevector(i)*tw/dt); % calculate smoothing window
      smwt(:,i)=(filter(ones(2*twi+1,1)./(2*twi+1),1,wt(:,i))); % moving average
      
      nrow = size(smwt,1); % move averaged block to the center (otherwise all the NaNs are at the beginning)
      smwt(1:twi,i)=NaN;
      smwt(twi+1:nrow-twi,i)=smwt(2*twi+1:nrow,i);
      smwt(nrow-twi+1:nrow,i)=NaN;
      
      end;
  end;
  
end
